2012年7月12日

[linux-users: 108895]rpm -q --whatrequires で出てこないパッケージ

きしもとと申します。Fedora 17 で実験をしています。

インストールが必要な最小セットを確認しようとして、あれこれいじっていたら、
basesystem パッケージが削除できてしまったため、追求していたのですが、
パッケージ a のインストール時には、依存があるので b というパッケージの
インストールが必要なのに、後からパッケージ b は削除できてしまう、という
ことがある、とわかりました。

もう少し調べたところ、パッケージが要求するケーパビリティを表示する、

rpm -qR パッケージ名

ではあるケーパビリティが出てくるのに、ケーパビリティを要求している
パッケージを表示する、

rpm -q --whatrequires ケーパビリティ名

にはそのパッケージがでてこない、というものがいくつもあることがわかりました。
( https://gist.github.com/3087782 にまとめて表にしました(yum の Base
グループの範囲内での一覧です))

インストールでファイルを展開した後の初期設定のみに必要で、実行には
関係ないものがそうなっているのではないかとも予想しましたが、そういう
わけでもないような感じです。

なにかご存知の方、おられましたらよろしくお願いします。
_______________________________________________
linux-users mailing list
linux-users@xxxxx
http://listserv.linux.or.jp/mailman/listinfo/linux-users


投稿者 xml-rpc : 2012年7月12日 16:36
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/111228
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。